EDIT - bug #8316

Endless loop when editing name in source of distribution
05/29/2019 12:28 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.7

Severity: normal Found in Version:

Description

mail AM:

also bei nameUsedInSource bekomme ich das weiterhin regelmaBig, spatestens beim 2. oder 3. Mal. Kannst du dir das vielleicht
nochmal anschauen mit E+M Daten und v.a. auch das Limit wieder hinzufigen? Es reicht ja, wenn wir es einigermaf3en hoch
ansetzen z.B. 5000 DS, oder so. Hoffe ich jedenfalls. Vielleicht ist das Problem ja auch ein anderes.

In diesem Zusammenhang hab ich gerade im Logfile folgendes Problem gefunden, was wohl sehr hiufig
auftrat. Daher auch Patrick in cc.
Es konnte mit dem Problem im Zusammenhang stehen.

!ENTRY org.eclipse.equinox.event 4 0 2019-05-28 16:02:40.960
IMESSAGE Exception while dispatching event org.osgi.service.event.Event [topic=org/eclipse/ed/ui/r
enderer/requestEnablementUpdate] {org.eclipse.ed.data=ALL} to handler org.eclipse.ed.ui.internal.d
i.UIEventObjectSupplier$SUIEventHandler@23d5e304
I'STACK O
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.StackOverflowError)

at org.eclipse.swt.SWT.error (SWT. java:4533)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.widgets.Synchronizer.syncExec (Synchronizer. java:255)

at org.eclipse.ui.internal.UISynchronizer.syncExec (UISynchronizer.java:145)

at org.eclipse.swt.widgets.Display.syncExec (Display.java:4821)

at org.eclipse.ed.ui.internal.workbench.swt.E4Application$l.syncExec (E4Application.
java:211)

at org.eclipse.ed.ui.internal.di.UIEventObjectSupplier$UIEventHandler.handleEvent (U
IEventObjectSupplier.java:53)

at org.eclipse.equinox.internal.event.EventHandlerWrapper.handleEvent (EventHandlerW
rapper.java:201)

at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent (EventHandle
rTracker. java:197)

at org.eclipse.equinox.internal.event.EventHandlerTracker.dispatchEvent (EventHandle
rTracker. java:1)

at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent (EventManager. java
:230)

at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run (EventManager. ja
va:340)
Caused by: java.lang.StackOverflowError

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)
at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

at eu.etaxonomy.taxeditor.workbench.WorkbenchUtility.findSavablePart (WorkbenchUtili
ty.java:81)

The problem was the handling of the selected taxonname in the factual data view. Now the factual data view ignores the selection if
the input of the detailsview is a descriptionelementbase

Related issues:
Related to EDIT - bug #9988: Fix selection for supplemental data view/referen... New

Associated revisions

Revision 9b4eaf57 - 05/29/2019 12:29 PM - Katja Luther

fix #8316: fix endless loop when editing name in source

Revision 4765e3e9 - 05/29/2019 01:24 PM - Katja Luther

fix #8316: fix endless loop when editing name in source

History

#1 - 05/29/2019 12:30 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|9b4eaf57527243baf4b517d19f90b3c6a4f3d18c.

#2 - 05/29/2019 12:40 PM - Katja Luther

- Description updated

#3 - 05/29/2019 12:41 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review

#4 - 06/04/2019 09:31 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

The endless loop does now not show up anymore.
But after closing the dialog the supplemental data view does not get the focus on the newly selected object. It still shows information on the old object.

#5 - 06/04/2019 10:17 AM - Andreas Miiller

Please also check if this is related to #8283#note-4

#6 - 06/04/2019 10:28 AM - Katja Luther

Andreas Muller wrote:
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/9b4eaf57527243baf4b517d19f90b3c6a4f3d18c
https://dev.e-taxonomy.eu/redmine/issues/8283#note-4

Please also check if this is related to #8283#note-4

this seems to be an older problem, testing on stable the newly selected element is not shown in the supplemental data view.

#7 - 06/04/2019 11:04 AM - Katja Luther

- Target version changed from Release 5.8 to Release 5.7
this issue is cherry-picked to hotfix5.7.3, therefore change the milestone to 5.7

#8 - 03/17/2022 11:12 AM - Katja Luther
- Status changed from Feedback to Closed

The selection issue is another problem, so | would close this ticket and create a new ticket for setting the correct selection for referencing objects and
supplemental data view.

#9 - 03/17/2022 11:22 AM - Katja Luther

- Related to bug #9988: Fix selection for supplemental data view/referencing objects view added

#10 - 03/17/2022 01:49 PM - Andreas Miiller
- % Done changed from 50 to 100
